Index: postgres.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/tcop/postgres.c,v
retrieving revision 1.496
diff -u -c -r1.496 postgres.c
*** postgres.c	8 Aug 2006 01:23:15 -0000	1.496
--- postgres.c	9 Aug 2006 19:50:35 -0000
***************
*** 1094,1104 ****
  			if (was_logged)
  				ereport(LOG,
  						(errmsg("duration: %ld.%03d ms",
! 								secs, msecs)));
  			else
  				ereport(LOG,
  						(errmsg("duration: %ld.%03d ms  statement: %s%s",
! 								secs, msecs,
  								query_string,
  								prepare_string ? prepare_string : "")));
  		}
--- 1094,1104 ----
  			if (was_logged)
  				ereport(LOG,
  						(errmsg("duration: %ld.%03d ms",
! 								secs * 1000 + msecs, usecs % 1000)));
  			else
  				ereport(LOG,
  						(errmsg("duration: %ld.%03d ms  statement: %s%s",
! 								secs * 1000 + msecs, usecs % 1000,
  								query_string,
  								prepare_string ? prepare_string : "")));
  		}
***************
*** 1855,1865 ****
  			if (log_statement == LOGSTMT_ALL)	/* already logged? */
  				ereport(LOG,
  						(errmsg("duration: %ld.%03d ms",
! 								secs, msecs)));
  			else
  				ereport(LOG,
  						(errmsg("duration: %ld.%03d ms  execute %s%s%s%s:  %s",
! 								secs, msecs,
  								execute_is_fetch ? "fetch from " : "",
  								portal->prepStmtName ? portal->prepStmtName : "<unnamed>",
  								*portal->name ? "/" : "",
--- 1855,1865 ----
  			if (log_statement == LOGSTMT_ALL)	/* already logged? */
  				ereport(LOG,
  						(errmsg("duration: %ld.%03d ms",
! 								secs * 1000 + msecs, usecs % 1000)));
  			else
  				ereport(LOG,
  						(errmsg("duration: %ld.%03d ms  execute %s%s%s%s:  %s",
! 								secs * 1000 + msecs, usecs % 1000,
  								execute_is_fetch ? "fetch from " : "",
  								portal->prepStmtName ? portal->prepStmtName : "<unnamed>",
  								*portal->name ? "/" : "",
